> ## Documentation Index
> Fetch the complete documentation index at: https://developer.jtl-software.com/llms.txt
> Use this file to discover all available pages before exploring further.

# QueryMarketplaceOffer

> Delivers a queryable list of marketplace offers. Deprecated: use "GET /v2/scx/offers" or "QueryScxOffers" instead, which require the "scxoffers.read" scope.



**query** `QueryMarketplaceOffer(first: Int, after: String, last: Int, before: String, where: MarketplaceOfferListItemFilterInput, order: [MarketplaceOfferListItemSortInput!]): QueryMarketplaceOfferConnection`

> Deprecated: This endpoint is deprecated.

## Arguments

**`first`**: `Int`

Returns the first _n_ elements from the list.

---

**`after`**: `String`

Returns the elements in the list that come after the specified cursor.

---

**`last`**: `Int`

Returns the last _n_ elements from the list.

---

**`before`**: `String`

Returns the elements in the list that come before the specified cursor.

---

**`where`**: `MarketplaceOfferListItemFilterInput`

---

**`order`**: `[MarketplaceOfferListItemSortInput!]`

## Returns

`QueryMarketplaceOfferConnection`

**`pageInfo`**: `PageInfo!`

Information to aid in pagination.

---

**`edges`**: `[QueryMarketplaceOfferEdge!]`

A list of edges.

---

**`nodes`**: `[MarketplaceOfferListItem!]`

A flattened list of the nodes.

---

**`totalCount`**: `Int!`

Identifies the total count of items in the connection.

## Examples

```graphql Query
query QueryMarketplaceOffer {
  QueryMarketplaceOffer {
    pageInfo {
      hasNextPage
      hasPreviousPage
      startCursor
      endCursor
    }
    edges {
      cursor
      node {
        offerId
        itemId
        sku
        productNumber
        offerTitle
        channelName
      }
    }
    nodes {
      offerId
      itemId
      sku
      productNumber
      offerTitle
      channelName
    }
    totalCount
  }
}
```

```json Response
{
  "data": {
    "QueryMarketplaceOffer": {
      "pageInfo": {
        "hasNextPage": true,
        "hasPreviousPage": true,
        "startCursor": "string",
        "endCursor": "string"
      },
      "edges": [
        {
          "cursor": "string",
          "node": {
            "offerId": "id",
            "itemId": "id",
            "sku": "string",
            "productNumber": "string",
            "offerTitle": "string",
            "channelName": "string"
          }
        }
      ],
      "nodes": [
        {
          "offerId": "id",
          "itemId": "id",
          "sku": "string",
          "productNumber": "string",
          "offerTitle": "string",
          "channelName": "string"
        }
      ],
      "totalCount": 1
    }
  }
}
```
